package rozwiazania_zadan.r2.z1.p2_suma_cyfr;

import java.util.Scanner;

public class SumaCyfr_Tekstowo1 {
	
	static int sumaCyfr(long liczba) {
		String tekstowo = String.valueOf(liczba);
		int suma = 0;
		for(char ch : tekstowo.toCharArray()) {
			if(Character.isDigit(ch)) {
				suma += Character.digit(ch, 10);
			}
		}
		return suma;
	}

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		System.out.println("Podawaj liczby, a zakończ innym tekstem");
		while(sc.hasNextLong()) {
			long liczba = sc.nextLong();
			int wynik = sumaCyfr(liczba);
			System.out.println("Suma cyfr tej liczby wynosi " + wynik);
			System.out.println();
		}

		System.out.println("pa pa ");
	}

}

